QwtPickerClickPointMachine(3)

NAME
QwtPickerClickPointMachine - A state machine for point selections.

SYNOPSIS

#include <qwt_picker_machine.h>

Inherits QwtPickerMachine.

  Public Member Functions
QwtPickerClickPointMachine ()
Constructor.
virtual QList< Command > transition (const QwtEventPattern &, const QEvent *) override
Transition.

  Additional Inherited Members

Detailed Description

A state machine for point selections. Pressing QwtEventPattern::MouseSelect1 or QwtEventPattern::KeySelect1 selects a point.

See also
    QwtEventPattern::MousePatternCode, QwtEventPattern::KeyPatternCode

Definition at line 102 of file qwt_picker_machine.h.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.